Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface MenuDefinitionControl

    public interface MenuDefinitionControl

A custom control interface used to interact with MenuDefinitionControls.

Method Summary
`void` | `deleteMenuDefinitions(com.bea.netuix.application.identifier.MenuDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Deletes the specified menu definition.
`com.bea.netuix.application.definition.MenuDefinition` | `getMenuDefinition(com.bea.netuix.application.identifier.MenuDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Returns a MenuDefinition from a menu definition id.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.MenuDefinition>` | `getMenuDefinitions(int pageSize, com.bea.netuix.application.search.WebAppSearchCriteria criteria, com.bea.portal.tools.common.ResourceContext context)` Gets a page iterator of menu definitions.

Method Detail

### getMenuDefinitions

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.MenuDefinition> getMenuDefinitions(int pageSize,
                                                                                                                                   com.bea.netuix.application.search.WebAppSearchCriteria criteria,
                                                                                                                                   com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                   throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a page iterator of menu definitions.

  Parameters
    `pageSize` - The size of a page of data with the SortableFilterablePagedResult.
    `criteria` - criteria specifying the webApp to search
    `context` - the resource context
  Returns
    A SortableFilterablePagedResult of MenuDefinitions.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getMenuDefinition

    com.bea.netuix.application.definition.MenuDefinition getMenuDefinition(com.bea.netuix.application.identifier.MenuDefinitionId id,
                                                                           com.bea.portal.tools.common.ResourceContext context)
                                                                           throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns a MenuDefinition from a menu definition id.

  Parameters
    `id` - the ID of the MenuDefinition to retrieve
    `context` - the resource context
  Returns
    The MenuDefinition object.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### deleteMenuDefinitions

    void deleteMenuDefinitions(com.bea.netuix.application.identifier.MenuDefinitionId id,
                               com.bea.portal.tools.common.ResourceContext context)
                               throws com.bea.netuix.application.exception.ObjectInUseException,
                                      com.bea.portal.tools.common.exceptions.ToolsException,
                                      com.bea.netuix.application.exception.NotEntitledException,
                                      com.bea.netuix.application.exception.ObjectNotFoundException

  Deletes the specified menu definition.

  Parameters
    `id` - The id of the menu definition to delete.
    `context` - the resource context
  Throws
    `com.bea.netuix.application.exception.ObjectInUseException`
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved